Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.subscriberprofile.ldap.managedplugin.management
Interface SubscriberProfileMBean

public interface SubscriberProfileMBean

The SubscriberProfile MBean interface.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static String` | `authDN` The authentication username for LDAP server.
`static String` | `authPassword` The password for LDAP server.\nCall updateLDAPSettings to make the change effective.
`static String` | `baseDN` The base DN of the server.
`static int` | `connTimeout` The LDAP connection timeout value in second.
`static String` | `host` The host name or IP address of LDAP server.
`static String` | `LDAPConnectionStatus` The lDAP connection status.
`static int` | `maxConnections` The maximum amount of connections of the LDAP connection pool.
`static int` | `minConnections` The minimum amount of connections of the LDAP connection pool.
`static int` | `port` The port number of LDAP server.
`static int` | `recoverTimerInterval` The timer peroid in second for LDAP connection retry after LDAP connection error.
`static String` | `schema` The schema of LDAP server.

Method Summary
`String` | `getAuthDN()`
`String` | `getAuthPassword()`
`String` | `getBaseDN()`
`int` | `getConnTimeout()`
`String` | `getHost()`
`String` | `getLDAPConnectionStatus()` Gets the lDAP connection status.
`int` | `getMaxConnections()`
`int` | `getMinConnections()`
`int` | `getPort()`
`int` | `getRecoverTimerInterval()`
`String` | `getSchema()`
`void` | `setAuthDN(String authdn)`
`void` | `setAuthPassword(String authpassword)`
`void` | `setBaseDN(String bd)`
`void` | `setConnTimeout(int connTimeout)`
`void` | `setHost(String host)`
`void` | `setMaxConnections(int maxConnections)`
`void` | `setMinConnections(int minConnections)`
`void` | `setPort(int port)`
`void` | `setRecoverTimerInterval(int recoverTimeout)`
`void` | `setSchema(String schema)`
`void` | `updateLDAPSettings()` Update the LDAP connection pool to use the new configuraion.
`void` | `updateSchemaURL(String schemaURL)` Update schema from a url.

Field Detail

### authDN

    public static final String authDN

  The authentication username for LDAP server. Call updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

### authPassword

    public static final String authPassword

  The password for LDAP server.\nCall updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

### baseDN

    public static final String baseDN

  The base DN of the server. Call updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

### connTimeout

    public static final int connTimeout

  The LDAP connection timeout value in second. Call updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

### host

    public static final String host

  The host name or IP address of LDAP server. Call updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

### LDAPConnectionStatus

    public static final String LDAPConnectionStatus

  The lDAP connection status.

  See Also:
    Constant Field Values

### maxConnections

    public static final int maxConnections

  The maximum amount of connections of the LDAP connection pool. Call updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

### minConnections

    public static final int minConnections

  The minimum amount of connections of the LDAP connection pool. Call updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

### port

    public static final int port

  The port number of LDAP server. Call updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

### recoverTimerInterval

    public static final int recoverTimerInterval

  The timer peroid in second for LDAP connection retry after LDAP connection error. Should larger than 2*ConnTimeOut. Call updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

### schema

    public static final String schema

  The schema of LDAP server. Call updateLDAPSettings to make the change effective.

  See Also:
    Constant Field Values

Method Detail

### getAuthDN

    public String getAuthDN()

### getAuthPassword

    public String getAuthPassword()

### getBaseDN

    public String getBaseDN()

### getConnTimeout

    public int getConnTimeout()

### getHost

    public String getHost()

### getLDAPConnectionStatus

    public String getLDAPConnectionStatus()

  Gets the lDAP connection status.

  Returns:
    the lDAP connection status

### getMaxConnections

    public int getMaxConnections()

### getMinConnections

    public int getMinConnections()

### getPort

    public int getPort()

### getRecoverTimerInterval

    public int getRecoverTimerInterval()

### getSchema

    public String getSchema()

### setAuthDN

    public void setAuthDN(String authdn)

### setAuthPassword

    public void setAuthPassword(String authpassword)

### setBaseDN

    public void setBaseDN(String bd)

### setConnTimeout

    public void setConnTimeout(int connTimeout)
                        throws InputManagementException

  Throws:
    `InputManagementException`

### setHost

    public void setHost(String host)

### setMaxConnections

    public void setMaxConnections(int maxConnections)

### setMinConnections

    public void setMinConnections(int minConnections)

### setPort

    public void setPort(int port)

### setRecoverTimerInterval

    public void setRecoverTimerInterval(int recoverTimeout)
                                 throws InputManagementException

  Throws:
    `InputManagementException`

### setSchema

    public void setSchema(String schema)

### updateLDAPSettings

    public void updateLDAPSettings()
                            throws ManagementException

  Update the LDAP connection pool to use the new configuraion.

  Throws:
    `ManagementException` - the management exception

### updateSchemaURL

    public void updateSchemaURL(String schemaURL)
                         throws InputManagementException

  Update schema from a url. The url is like 'file:///d:/schema.xml' .

  Parameters:
    `schemaURL` - the schema url
  Throws:
    `ManagementException` - the management exception
    `InputManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD